<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.LiveClassMapper">

    <resultMap type="com.hc.business.model.LiveClass" id="LiveClassMap">
        <result property="liveClassId" column="live_class_id" jdbcType="INTEGER"/>
        <result property="liveId" column="live_id" jdbcType="INTEGER"/>
        <result property="classId" column="class_id" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        live_class_id,
           live_id,
           class_id
    </sql>

    <select id="queryByLiveId" resultType="com.hc.business.model.LiveClass">
        SELECT
        <include refid="Base_Column_List"/>
        FROM live_class
        WHERE live_id =#{liveId}

    </select>

</mapper>
